#include<iostream>
#include<vector>
#include "partition.h"

using namespace std;

#define ff first
#define ss second
#define all(a) a.begin(),a.end()
#define pb push_back
#define endl '\n'


vector<int> solve(vector<int> a) {
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n = a.size();

    vector <int> ans;

    if(n % 2 == 0){
        for(int i = 1;i < n;i += 2){
            ans.pb(i);
        }
        for(int i = 0;i < n;i += 2){
            ans.pb(i);
        }
    }
    else{
         for(int i = 0;i < n;i += 2){
            ans.pb(i);
        }
         for(int i = 1;i < n;i += 2){
            ans.pb(i);
        }
    }

    return ans;
}
